import{s as Bt,n as Vt,o as St}from"../chunks/scheduler.defa9a21.js";import{S as Ot,i as Ut,g as o,s as a,r as d,A as Gt,h as c,f as r,c as n,j as _,u as m,x as b,k,y as t,a as l,v as g,d as p,t as u,w as h}from"../chunks/index.fe795e71.js";import{D as v}from"../chunks/Docstring.170994c1.js";import{H as pt,E as zt}from"../chunks/EditOnGithub.0f575778.js";function Wt(ut){let M,Le,xe,Me,D,Ee,P,Ce,s,H,We,Y,ht="A base Tracker class to be used for all logging integration implementations.",qe,Z,ft=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/main/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,Fe,ee,_t="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",Re,te,kt=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,je,re,vt=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,Ke,E,N,Je,ae,bt=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,Xe,C,B,Qe,ne,$t="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",Ye,I,V,Ze,oe,Tt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,Ie,S,Ae,T,O,et,ce,wt="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",tt,ie,U,De,w,G,rt,se,xt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",at,le,z,Pe,$,W,nt,de,yt="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",ot,me,Lt="API keys must be stored in a Comet config file.",ct,ge,q,He,x,F,it,pe,Mt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",st,ue,R,Ne,y,j,lt,he,Et="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",dt,fe,K,Be,L,J,mt,_e,Ct="A <code>Tracker</code> class that supports <code>clearml</code>. Should be initialized at the start of your script.",gt,ke,X,Ve,Q,Se,ye,Oe;return D=new pt({props:{title:"Experiment Tracking",local:"experiment-tracking",headingTag:"h1"}}),P=new pt({props:{title:"The Base Tracker Class",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),H=new v({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L91"}}),N=new v({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L157"}}),B=new v({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": Optional"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L144"}}),V=new v({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L132"}}),S=new pt({props:{title:"Integrated Trackers",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),O=new v({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.TensorBoardTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L165"}}),U=new v({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L181"}}),G=new v({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.WandBTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L276"}}),z=new v({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L291"}}),W=new v({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.CometMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L399"}}),q=new v({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L415"}}),F=new v({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.AimTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L480"}}),R=new v({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L494"}}),j=new v({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L579"}}),K=new v({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L610"}}),J=new v({props:{name:"class accelerate.tracking.ClearMLTracker",anchor:"accelerate.tracking.ClearMLTracker",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.ClearMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variables <code>CLEARML_PROJECT</code> and <code>CLEARML_TASK</code> have priority over this
argument.`,name:"run_name"},{anchor:"accelerate.tracking.ClearMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Kwargs passed along to the <code>Task.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L724"}}),X=new v({props:{name:"__init__",anchor:"accelerate.tracking.ClearMLTracker.__init__",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L739"}}),Q=new zt({props:{source:"https://github.com/huggingface/accelerate/blob/main/docs/source/package_reference/tracking.md"}}),{c(){M=o("meta"),Le=a(),xe=o("p"),Me=a(),d(D.$$.fragment),Ee=a(),d(P.$$.fragment),Ce=a(),s=o("div"),d(H.$$.fragment),We=a(),Y=o("p"),Y.textContent=ht,qe=a(),Z=o("p"),Z.innerHTML=ft,Fe=a(),ee=o("p"),ee.innerHTML=_t,Re=a(),te=o("p"),te.innerHTML=kt,je=a(),re=o("p"),re.innerHTML=vt,Ke=a(),E=o("div"),d(N.$$.fragment),Je=a(),ae=o("p"),ae.textContent=bt,Xe=a(),C=o("div"),d(B.$$.fragment),Qe=a(),ne=o("p"),ne.innerHTML=$t,Ye=a(),I=o("div"),d(V.$$.fragment),Ze=a(),oe=o("p"),oe.innerHTML=Tt,Ie=a(),d(S.$$.fragment),Ae=a(),T=o("div"),d(O.$$.fragment),et=a(),ce=o("p"),ce.innerHTML=wt,tt=a(),ie=o("div"),d(U.$$.fragment),De=a(),w=o("div"),d(G.$$.fragment),rt=a(),se=o("p"),se.innerHTML=xt,at=a(),le=o("div"),d(z.$$.fragment),Pe=a(),$=o("div"),d(W.$$.fragment),nt=a(),de=o("p"),de.innerHTML=yt,ot=a(),me=o("p"),me.textContent=Lt,ct=a(),ge=o("div"),d(q.$$.fragment),He=a(),x=o("div"),d(F.$$.fragment),it=a(),pe=o("p"),pe.innerHTML=Mt,st=a(),ue=o("div"),d(R.$$.fragment),Ne=a(),y=o("div"),d(j.$$.fragment),lt=a(),he=o("p"),he.innerHTML=Et,dt=a(),fe=o("div"),d(K.$$.fragment),Be=a(),L=o("div"),d(J.$$.fragment),mt=a(),_e=o("p"),_e.innerHTML=Ct,gt=a(),ke=o("div"),d(X.$$.fragment),Ve=a(),d(Q.$$.fragment),Se=a(),ye=o("p"),this.h()},l(e){const i=Gt("svelte-u9bgzb",document.head);M=c(i,"META",{name:!0,content:!0}),i.forEach(r),Le=n(e),xe=c(e,"P",{}),_(xe).forEach(r),Me=n(e),m(D.$$.fragment,e),Ee=n(e),m(P.$$.fragment,e),Ce=n(e),s=c(e,"DIV",{class:!0});var f=_(s);m(H.$$.fragment,f),We=n(f),Y=c(f,"P",{"data-svelte-h":!0}),b(Y)!=="svelte-m7ldax"&&(Y.textContent=ht),qe=n(f),Z=c(f,"P",{"data-svelte-h":!0}),b(Z)!=="svelte-nxw2h6"&&(Z.innerHTML=ft),Fe=n(f),ee=c(f,"P",{"data-svelte-h":!0}),b(ee)!=="svelte-sgpklc"&&(ee.innerHTML=_t),Re=n(f),te=c(f,"P",{"data-svelte-h":!0}),b(te)!=="svelte-fdst8q"&&(te.innerHTML=kt),je=n(f),re=c(f,"P",{"data-svelte-h":!0}),b(re)!=="svelte-189sskg"&&(re.innerHTML=vt),Ke=n(f),E=c(f,"DIV",{class:!0});var Ue=_(E);m(N.$$.fragment,Ue),Je=n(Ue),ae=c(Ue,"P",{"data-svelte-h":!0}),b(ae)!=="svelte-va87im"&&(ae.textContent=bt),Ue.forEach(r),Xe=n(f),C=c(f,"DIV",{class:!0});var Ge=_(C);m(B.$$.fragment,Ge),Qe=n(Ge),ne=c(Ge,"P",{"data-svelte-h":!0}),b(ne)!=="svelte-czjed5"&&(ne.innerHTML=$t),Ge.forEach(r),Ye=n(f),I=c(f,"DIV",{class:!0});var ze=_(I);m(V.$$.fragment,ze),Ze=n(ze),oe=c(ze,"P",{"data-svelte-h":!0}),b(oe)!=="svelte-ijycp8"&&(oe.innerHTML=Tt),ze.forEach(r),f.forEach(r),Ie=n(e),m(S.$$.fragment,e),Ae=n(e),T=c(e,"DIV",{class:!0});var ve=_(T);m(O.$$.fragment,ve),et=n(ve),ce=c(ve,"P",{"data-svelte-h":!0}),b(ce)!=="svelte-4bz4fo"&&(ce.innerHTML=wt),tt=n(ve),ie=c(ve,"DIV",{class:!0});var It=_(ie);m(U.$$.fragment,It),It.forEach(r),ve.forEach(r),De=n(e),w=c(e,"DIV",{class:!0});var be=_(w);m(G.$$.fragment,be),rt=n(be),se=c(be,"P",{"data-svelte-h":!0}),b(se)!=="svelte-1funvbl"&&(se.innerHTML=xt),at=n(be),le=c(be,"DIV",{class:!0});var At=_(le);m(z.$$.fragment,At),At.forEach(r),be.forEach(r),Pe=n(e),$=c(e,"DIV",{class:!0});var A=_($);m(W.$$.fragment,A),nt=n(A),de=c(A,"P",{"data-svelte-h":!0}),b(de)!=="svelte-46z6qn"&&(de.innerHTML=yt),ot=n(A),me=c(A,"P",{"data-svelte-h":!0}),b(me)!=="svelte-1byed2r"&&(me.textContent=Lt),ct=n(A),ge=c(A,"DIV",{class:!0});var Dt=_(ge);m(q.$$.fragment,Dt),Dt.forEach(r),A.forEach(r),He=n(e),x=c(e,"DIV",{class:!0});var $e=_(x);m(F.$$.fragment,$e),it=n($e),pe=c($e,"P",{"data-svelte-h":!0}),b(pe)!=="svelte-1wn9vfq"&&(pe.innerHTML=Mt),st=n($e),ue=c($e,"DIV",{class:!0});var Pt=_(ue);m(R.$$.fragment,Pt),Pt.forEach(r),$e.forEach(r),Ne=n(e),y=c(e,"DIV",{class:!0});var Te=_(y);m(j.$$.fragment,Te),lt=n(Te),he=c(Te,"P",{"data-svelte-h":!0}),b(he)!=="svelte-109p8cy"&&(he.innerHTML=Et),dt=n(Te),fe=c(Te,"DIV",{class:!0});var Ht=_(fe);m(K.$$.fragment,Ht),Ht.forEach(r),Te.forEach(r),Be=n(e),L=c(e,"DIV",{class:!0});var we=_(L);m(J.$$.fragment,we),mt=n(we),_e=c(we,"P",{"data-svelte-h":!0}),b(_e)!=="svelte-b632ft"&&(_e.innerHTML=Ct),gt=n(we),ke=c(we,"DIV",{class:!0});var Nt=_(ke);m(X.$$.fragment,Nt),Nt.forEach(r),we.forEach(r),Ve=n(e),m(Q.$$.fragment,e),Se=n(e),ye=c(e,"P",{}),_(ye).forEach(r),this.h()},h(){k(M,"name","hf:doc:metadata"),k(M,"content",qt),k(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,M),l(e,Le,i),l(e,xe,i),l(e,Me,i),g(D,e,i),l(e,Ee,i),g(P,e,i),l(e,Ce,i),l(e,s,i),g(H,s,null),t(s,We),t(s,Y),t(s,qe),t(s,Z),t(s,Fe),t(s,ee),t(s,Re),t(s,te),t(s,je),t(s,re),t(s,Ke),t(s,E),g(N,E,null),t(E,Je),t(E,ae),t(s,Xe),t(s,C),g(B,C,null),t(C,Qe),t(C,ne),t(s,Ye),t(s,I),g(V,I,null),t(I,Ze),t(I,oe),l(e,Ie,i),g(S,e,i),l(e,Ae,i),l(e,T,i),g(O,T,null),t(T,et),t(T,ce),t(T,tt),t(T,ie),g(U,ie,null),l(e,De,i),l(e,w,i),g(G,w,null),t(w,rt),t(w,se),t(w,at),t(w,le),g(z,le,null),l(e,Pe,i),l(e,$,i),g(W,$,null),t($,nt),t($,de),t($,ot),t($,me),t($,ct),t($,ge),g(q,ge,null),l(e,He,i),l(e,x,i),g(F,x,null),t(x,it),t(x,pe),t(x,st),t(x,ue),g(R,ue,null),l(e,Ne,i),l(e,y,i),g(j,y,null),t(y,lt),t(y,he),t(y,dt),t(y,fe),g(K,fe,null),l(e,Be,i),l(e,L,i),g(J,L,null),t(L,mt),t(L,_e),t(L,gt),t(L,ke),g(X,ke,null),l(e,Ve,i),g(Q,e,i),l(e,Se,i),l(e,ye,i),Oe=!0},p:Vt,i(e){Oe||(p(D.$$.fragment,e),p(P.$$.fragment,e),p(H.$$.fragment,e),p(N.$$.fragment,e),p(B.$$.fragment,e),p(V.$$.fragment,e),p(S.$$.fragment,e),p(O.$$.fragment,e),p(U.$$.fragment,e),p(G.$$.fragment,e),p(z.$$.fragment,e),p(W.$$.fragment,e),p(q.$$.fragment,e),p(F.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(K.$$.fragment,e),p(J.$$.fragment,e),p(X.$$.fragment,e),p(Q.$$.fragment,e),Oe=!0)},o(e){u(D.$$.fragment,e),u(P.$$.fragment,e),u(H.$$.fragment,e),u(N.$$.fragment,e),u(B.$$.fragment,e),u(V.$$.fragment,e),u(S.$$.fragment,e),u(O.$$.fragment,e),u(U.$$.fragment,e),u(G.$$.fragment,e),u(z.$$.fragment,e),u(W.$$.fragment,e),u(q.$$.fragment,e),u(F.$$.fragment,e),u(R.$$.fragment,e),u(j.$$.fragment,e),u(K.$$.fragment,e),u(J.$$.fragment,e),u(X.$$.fragment,e),u(Q.$$.fragment,e),Oe=!1},d(e){e&&(r(Le),r(xe),r(Me),r(Ee),r(Ce),r(s),r(Ie),r(Ae),r(T),r(De),r(w),r(Pe),r($),r(He),r(x),r(Ne),r(y),r(Be),r(L),r(Ve),r(Se),r(ye)),r(M),h(D,e),h(P,e),h(H),h(N),h(B),h(V),h(S,e),h(O),h(U),h(G),h(z),h(W),h(q),h(F),h(R),h(j),h(K),h(J),h(X),h(Q,e)}}}const qt='{"title":"Experiment Tracking","local":"experiment-tracking","sections":[{"title":"The Base Tracker Class","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"Integrated Trackers","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2}],"depth":1}';function Ft(ut){return St(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xt extends Ot{constructor(M){super(),Ut(this,M,Ft,Wt,Bt,{})}}export{Xt as component};
